Passa al contenuto principale

LicensePaginatedListResponse

Successful response with a page of License

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • license_idintegerrequired
    purchase_idintegerrequired

    Id of the purchase of the license (GET /api/v3/purchases/{purchase_id})

    purchase_server_idinteger | nullnullablerequired

    Id of the purchase of the server where the license is installed (GET /api/v3/purchases/{purchase_id}); null for a license on an external host (ip_address) or without a server

    service_namestring | nullnullablerequired

    Name of the service of the purchase, in Italian

    purchase_namestring | nullnullablerequired

    Object name of the purchase, as purchase_name.object_name of the purchase

    key_numberstring | nullnullablerequired

    Key number of a Plesk license; null for cPanel licenses

    ip_addressstring | nullnullablerequired

    IP address of the external host where the license is installed, instead of a server (purchase_server_id)

    is_elsbooleanrequired

    Whether the server runs an obsolete operating system, covered by the Extended Lifecycle Support (ELS) of the supplier and charged as an additional fee

    operative_systemstring | nullnullablerequired

    Operating system of the server, as reported by the license supplier; null until reported

    purchase_status_codestring | nullnullablerequired

    Status code of the purchase (status_code of PurchaseStatus): NEW_V2, ACTIVE_V2 or DELIVERED_V2

    date_activationdatenullablerequired

    Activation date of the purchase (date_activation of the purchase)

    date_expirydatenullablerequired

    Expiry date of the purchase (date_expiry of the purchase)

  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    LicensePaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "license_id": 0,
    "purchase_id": 0,
    "purchase_server_id": 0,
    "service_name": "string",
    "purchase_name": "string",
    "key_number": "string",
    "ip_address": "string",
    "is_els": true,
    "operative_system": "string",
    "purchase_status_code": "string",
    "date_activation": "2024-07-29",
    "date_expiry": "2024-07-29"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }